Skip to main content
GET
/
agent
/
all
cURL
curl --request GET \
  --url https://api.bolna.ai/agent/all \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "agent_name": "Alfred",
    "agent_type": "other",
    "agent_status": "processed",
    "created_at": "2024-01-23T01:14:37Z",
    "updated_at": "2024-01-29T18:31:22Z",
    "tasks": [
      {
        "task_type": "conversation",
        "tools_config": {
          "llm_agent": {
            "model": "gpt-4.1-mini",
            "max_tokens": 350,
            "agent_flow_type": "streaming",
            "family": "openai",
            "provider": "openai",
            "base_url": "https://api.openai.com/v1",
            "temperature": 0.3,
            "request_json": false,
            "routes": {
              "embedding_model": "snowflake/snowflake-arctic-embed-m",
              "routes": [
                {
                  "route_name": "politics",
                  "utterances": [
                    "Who do you think will win the elections?",
                    "Whom would you vote for?"
                  ],
                  "response": "Hey, thanks but I do not have opinions on politics",
                  "score_threshold": 0.9
                }
              ]
            }
          },
          "synthesizer": {
            "provider": "elevenlabs",
            "provider_config": {
              "voice": "Nila",
              "voice_id": "V9LCAAi4tTlqe9JadbCo",
              "model": "eleven_turbo_v2_5"
            },
            "stream": true,
            "buffer_size": 250,
            "audio_format": "wav"
          },
          "transcriber": {
            "provider": "deepgram",
            "model": "nova-3",
            "language": "hi",
            "stream": true,
            "sampling_rate": 16000,
            "encoding": "linear16",
            "endpointing": 250
          },
          "input": {
            "provider": "plivo",
            "format": "wav"
          },
          "output": {
            "provider": "plivo",
            "format": "wav"
          },
          "api_tools": null
        },
        "toolchain": {
          "execution": "parallel",
          "pipelines": [
            [
              "transcriber",
              "llm",
              "synthesizer"
            ]
          ]
        },
        "task_config": {
          "hangup_after_silence": 10,
          "incremental_delay": 400,
          "number_of_words_for_interruption": 2,
          "hangup_after_LLMCall": false,
          "call_cancellation_prompt": null,
          "backchanneling": false,
          "backchanneling_message_gap": 5,
          "backchanneling_start_delay": 5,
          "ambient_noise_track": "coffee-shop",
          "call_terminate": 90,
          "voicemail": false,
          "inbound_limit": -1,
          "whitelist_phone_numbers": null,
          "disallow_unknown_numbers": false
        }
      }
    ],
    "agent_prompts": {
      "task_1": {
        "system_prompt": "What is the Ultimate Question of Life, the Universe, and Everything?"
      }
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://www.bolna.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

These APIs have now been deprecated.Please use the latest v2 APIs.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

List of agents

id
string<uuid>

Unique identifier for the agent

agent_name
string

Human-readable agent name

Example:

"Alfred"

agent_type
string

Type of agent

Example:

"other"

agent_status
enum<string>

Current status of the agent

Available options:
seeding,
processed
Example:

"processed"

created_at
string<date-time>

Timestamp of agent creation

Example:

"2024-01-23T01:14:37Z"

updated_at
string<date-time>

Timestamp of last update for the agent

Example:

"2024-01-29T18:31:22Z"

tasks
object[]

An array of tasks that the agent can perform

agent_prompts
object

Prompts to be provided to the agent. It can have multiple tasks of the form task_<task_id>